Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032652
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2016-04-12 09:412017-02-02 16:33
ReporterguillermogilView Statuspublic 
Assigned Tomigueldejuana 
PriorityimmediateResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision41a04d43eadf
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionRR16Q1SCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2015-04-10
Regression introduced in releaseRR15Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b323852f322 [^]
Triggers an Emergency PackNo
Summary

0032652: WebPOS is Loading all ProductPrices even if MultiPricelist is not activated

DescriptionWebPOS is Loading all ProductPrices even if MultiPricelist is not activated.
On environments with a high volume data it makes totally imposible to login.
More than 30 minutes and still not loaded.
Steps To ReproduceLogin on the ERP on 16Q1
Deactivate MultiPricelist preference for terminal MPL
Login on Terminal MPL

ERROR: Product Prices are still loaded: verify that the m_pricelist and/or the m_productprice have records
Proposed SolutionReview the preference in order to load only if needed
TagsNo tags attached.
Attached Files? file icon issue32652Core.commit [^] (1,345 bytes) 2016-04-12 16:59
? file icon issue32652Posterminal.commit [^] (7,019 bytes) 2016-04-12 16:59

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0032656RR16Q2 closedmigueldejuana WebPOS is Loading all ProductPrices even if MultiPricelist is not activated 
depends on backport 0032657RR16Q1.1 closedmigueldejuana WebPOS is Loading all ProductPrices even if MultiPricelist is not activated 
depends on backport 0032658RR15Q4.6 closedmigueldejuana WebPOS is Loading all ProductPrices even if MultiPricelist is not activated 

-  Notes
(0085656)
hgbot (developer)
2016-04-15 07:55

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 879c06a326a21e0a9d74d8cdb005a8cc838d7030
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Apr 12 16:26:43 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/879c06a326a21e0a9d74d8cdb005a8cc838d7030 [^]

Fixed issue 0032652: WebPOS is Loading all ProductPrices even if MultiPricelist is not activated

- Do not update lastUpdatedTimestamp value if there is no data

---
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---
(0085657)
hgbot (developer)
2016-04-15 07:56

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 41a04d43eadfb6d18d137f17fb9629b04734b632
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Apr 12 16:25:28 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/41a04d43eadfb6d18d137f17fb9629b04734b632 [^]

Fixed issue 0032652: WebPOS is Loading all ProductPrices even if MultiPricelist is not activated

- If preference is disabled, do not load prices lits and product prices

---
M src/org/openbravo/retail/posterminal/master/PriceList.java
M src/org/openbravo/retail/posterminal/master/ProductPrice.java
---
(0085666)
hgbot (developer)
2016-04-15 13:15

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: b6637b981400ca36b4c5cde6f7f25458a445b79a
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Apr 15 13:14:48 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b6637b981400ca36b4c5cde6f7f25458a445b79a [^]

Related to issue 0032652: WebPOS is Loading all ProductPrices even if MultiPricelist is not activated

- Copyright update

---
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---
(0085667)
hgbot (developer)
2016-04-15 13:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 42cd606fe3171c630ec5cb35511954b0f2c61173
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Apr 15 13:15:59 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/42cd606fe3171c630ec5cb35511954b0f2c61173 [^]

Related to issue 0032652: WebPOS is Loading all ProductPrices even if MultiPricelist is not activated

- Copyright update
- Bad Log initialization

---
M src/org/openbravo/retail/posterminal/master/PriceList.java
M src/org/openbravo/retail/posterminal/master/ProductPrice.java
---
(0086444)
hgbot (developer)
2016-05-13 17:24

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: da8fa498c9144ec8683d08ed03c8214ddb61184d
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Thu May 12 14:24:57 2016 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/da8fa498c9144ec8683d08ed03c8214ddb61184d [^]

Verifies issue 32652: Remove duplicate preference for multi price store

---
M referencedata/sampledata/The_White_Valley_Group/AD_PREFERENCE.xml
---
(0086445)
hgbot (developer)
2016-05-13 17:25

Repository: tools/automation/pi-mobile
Changeset: db3b82d3a6a6f6bf430bed38b4c5aacd57bb24d7
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Fri May 13 09:24:27 2016 -0600
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/db3b82d3a6a6f6bf430bed38b4c5aacd57bb24d7 [^]

Verifies issue 32652: Added automated test

---
A src-test/org/openbravo/test/mobile/quarantine/pack/MCA/multipricelists/I32652_MPLDisablePreferenceCreateReceipt.java
---

- Issue History
Date Modified Username Field Change
2016-04-12 09:41 guillermogil New Issue
2016-04-12 09:41 guillermogil Assigned To => Retail
2016-04-12 09:41 guillermogil Triggers an Emergency Pack => No
2016-04-12 09:51 guillermogil Regression level => Production - Confirmed Stable
2016-04-12 16:57 migueldejuana Status new => scheduled
2016-04-12 16:59 migueldejuana File Added: issue32652Core.commit
2016-04-12 16:59 migueldejuana File Added: issue32652Posterminal.commit
2016-04-12 17:03 migueldejuana Assigned To Retail => migueldejuana
2016-04-12 17:04 migueldejuana Status scheduled => resolved
2016-04-12 17:04 migueldejuana Resolution open => fixed
2016-04-12 17:04 migueldejuana Status resolved => new
2016-04-12 17:04 migueldejuana Resolution fixed => open
2016-04-12 17:04 migueldejuana Status new => scheduled
2016-04-15 07:55 hgbot Checkin
2016-04-15 07:55 hgbot Note Added: 0085656
2016-04-15 07:55 hgbot Status scheduled => resolved
2016-04-15 07:55 hgbot Resolution open => fixed
2016-04-15 07:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/879c06a326a21e0a9d74d8cdb005a8cc838d7030 [^]
2016-04-15 07:56 hgbot Checkin
2016-04-15 07:56 hgbot Note Added: 0085657
2016-04-15 07:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/879c06a326a21e0a9d74d8cdb005a8cc838d7030 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/41a04d43eadfb6d18d137f17fb9629b04734b632 [^]
2016-04-15 13:15 hgbot Checkin
2016-04-15 13:15 hgbot Note Added: 0085666
2016-04-15 13:16 hgbot Checkin
2016-04-15 13:16 hgbot Note Added: 0085667
2016-04-20 16:26 marvintm Review Assigned To => marvintm
2016-04-20 16:26 marvintm Status resolved => closed
2016-04-20 16:26 marvintm Fixed in Version => pi
2016-05-04 10:15 migueldejuana Regression date => 2015-04-10
2016-05-04 10:15 migueldejuana Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b323852f322 [^]
2016-05-04 11:11 Orekaria Steps to Reproduce Updated View Revisions
2016-05-04 11:11 Orekaria Steps to Reproduce Updated View Revisions
2016-05-13 17:24 hgbot Checkin
2016-05-13 17:24 hgbot Note Added: 0086444
2016-05-13 17:25 hgbot Checkin
2016-05-13 17:25 hgbot Note Added: 0086445
2017-02-02 16:33 plujan Regression introduced in release => RR15Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker